Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162949 - kernel 2.6.12-1.1390_FC4 made system unbootable
Summary: kernel 2.6.12-1.1390_FC4 made system unbootable
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 19:33 UTC by Thomas Antony
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-26 08:54:20 UTC


Attachments (Terms of Use)

Description Thomas Antony 2005-07-11 19:33:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.7) Gecko/20050421 Firefox/1.0.3 (Debian package 1.0.3-2)

Description of problem:
I updated to the latest kernel version 2.6.12-1.1390_FC4 with yum and
after a reboot i only get GRUB on the screen and the system is unbootable.

I have 2 harddisks. One is a IDE and mounted at /mnt/backup for my backups and one S-ATA for my system. Grub is installed on sda.
I have 3 partitions on the S-ATA harddisk:
sda1 is my /boot partition
sda2 is my lvm partition with /,/var,/usr,home,...
sda3 is my swap partition

I booted Knoppix and didn't find any unusual. Everything is on his right place.

knoppix@2[knoppix]$ ls -l /mnt/sda1/
-rw-r--r--  1 root root   50848 2005-06-03 05:06 config-2.6.11-1.1369_FC4
-rw-r--r--  1 root root   50706 2005-07-01 18:48 config-2.6.12-1.1387_FC4
-rw-r--r--  1 root root   50706 2005-07-06 02:06 config-2.6.12-1.1390_FC4
drwxr-xr-x  2 root root    4096 2005-07-08 12:50 grub
-rw-r--r--  1 root root 2138564 2005-06-16 19:43 initrd-2.6.11-1.1369_FC4.img
-rw-r--r--  1 root root 2138296 2005-07-02 17:02 initrd-2.6.12-1.1387_FC4.img
-rw-r--r--  1 root root 2138335 2005-07-08 12:50 initrd-2.6.12-1.1390_FC4.img
-rw-r--r--  1 root root   94600 2005-03-29 00:08 memtest86+-1.55.1
-rw-r--r--  1 root root  916318 2005-06-03 05:06 System.map-2.6.11-1.1369_FC4
-rw-r--r--  1 root root  913671 2005-07-01 18:48 System.map-2.6.12-1.1387_FC4
-rw-r--r--  1 root root  913671 2005-07-06 02:06 System.map-2.6.12-1.1390_FC4
-rw-r--r--  1 root root 1951836 2005-06-03 05:06 vmlinuz-2.6.11-1.1369_FC4
-rw-r--r--  1 root root 1943918 2005-07-01 18:48 vmlinuz-2.6.12-1.1387_FC4
-rw-r--r--  1 root root 1943925 2005-07-06 02:06 vmlinuz-2.6.12-1.1390_FC4

knoppix@2[knoppix]$ ls -l /mnt/sda1/grub/
-rw-r--r--  1 root root     82 2005-06-16 19:55 device.map
-rw-r--r--  1 root root   7540 2005-06-16 19:55 e2fs_stage1_5
-rw-r--r--  1 root root   7396 2005-06-16 19:55 fat_stage1_5
-rw-r--r--  1 root root   6644 2005-06-16 19:55 ffs_stage1_5
-rw-------  1 root root    957 2005-07-08 12:50 grub.conf
-rw-r--r--  1 root root   6644 2005-06-16 19:55 iso9660_stage1_5
-rw-r--r--  1 root root   8128 2005-06-16 19:55 jfs_stage1_5
lrwxrwxrwx  1 root root     11 2005-06-16 19:55 menu.lst -> ./grub.conf
-rw-r--r--  1 root root   6804 2005-06-16 19:55 minix_stage1_5
-rw-r--r--  1 root root   9076 2005-06-16 19:55 reiserfs_stage1_5
-rw-r--r--  1 root root   3194 2005-05-24 01:22 splash.xpm.gz
-rw-r--r--  1 root root    512 2005-06-16 19:55 stage1
-rw-r--r--  1 root root 102536 2005-06-16 19:55 stage2
-rw-r--r--  1 root root   6984 2005-06-16 19:55 ufs2_stage1_5
-rw-r--r--  1 root root   6260 2005-06-16 19:55 vstafs_stage1_5
-rw-r--r--  1 root root   8796 2005-06-16 19:55 xfs_stage1_5


knoppix@2[knoppix]$ sudo cat /mnt/sda1/grub/menu.lst
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.12-1.1390_FC4)
        root (hd0,0)
        kernel /vmlinuz-2.6.12-1.1390_FC4 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
        initrd /initrd-2.6.12-1.1390_FC4.img
title Fedora Core (2.6.12-1.1387_FC4)
        root (hd0,0)
        kernel /vmlinuz-2.6.12-1.1387_FC4 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
        initrd /initrd-2.6.12-1.1387_FC4.img
title Fedora Core (2.6.11-1.1369_FC4)
        root (hd0,0)
        kernel /vmlinuz-2.6.11-1.1369_FC4 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
        initrd /initrd-2.6.11-1.1369_FC4.img



Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1390_FC4

How reproducible:
Didn't try

Steps to Reproduce:
-
  

Additional info:

Comment 1 Thomas Antony 2005-07-13 18:20:48 UTC
Booting from the FC4 DVD with linux rescue and reinstall grub with grub-install
/dev/sda did it.

Comment 2 Dave Jones 2005-07-15 21:40:32 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.



Note You need to log in before you can comment on or make changes to this bug.